Subject: bug#42652: closed (Re: bug#42652: emacs-27.1-rc1 and configure error on Solaris 11.3)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Aug 2020 16:42:02 +0000

Your bug report

#42652: emacs-27.1-rc1 and configure error on Solaris 11.3

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42652: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42652
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42652: emacs-27.1-rc1 and configure error on Solaris 11.3
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 01 Aug 2020 19:41:40 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Jeffrey Walton <[email-masked]>
> Date: Sat, 1 Aug 2020 11:52:28 -0400
> Cc: [email-masked]
> 
> > My reading of configure is that this error message is emitted when
> > some --without-* option uses characters that are not permitted in
> > shell variable names.  Not sure why this is triggered in your case.
> 
> Oh, you're right. There was a trailing space in '--without-selinux '.
> 
> Cancel this noise.

Thanks, closing.

Subject: emacs-27.1-rc1 and configure error on Solaris 11.3
From: Jeffrey Walton <[email-masked]>
To: [email-masked]
Date: Sat, 1 Aug 2020 11:26:27 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Everyone,

I'm testing emacs-27.1-rc1 on Solaris 11.3 i86pc.

I'm catching the following error during configure. I believe it is due
to --without-selinux:

    configure: error: invalid package name: selinux

There is no config.log to offer.

It seems like configure should accept --without-selinux on platforms
that don't have SElinux.

Jeff